#
# spec file for package aumix (Version 2.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext glib glib-devel gtk gtk-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         aumix
Copyright:    GPL
Group:        Applications/Sound
Provides:     aumix 
Autoreqprov:  on
Summary:      A curses, command line and X based mixer
Version:      2.7
Release:      156
URL:          http://jpj.net/~trevor/aumix.html
Source:       ftp://sunsite.unc.edu/pub/Linux/apps/sound/mixers/aumix-%{version}.tar.gz
Patch:        aumix-%{version}-autoconf.patch
BuildRoot:    /var/tmp/%{name}-build

%description
With aumix you may set up the mixer parameters via script.

Authors:
--------
    Trevor Johnson <trevor@jpj.net>
    Alessandro Rubini <alessandro.rubini@linux.it>
    Kenn Humborg <kenn@wombat.ie>
    Dan Fandrich <dan@fch.wimsey.bc.ca>
    Jeff Spirko <spirko@topquark.physics.lehigh.edu>
    Harley Silver <harley@widow.aracnet.net>
    Rainer Canavan <canavan@cs.bonn.edu>

SuSE series: snd

%prep
%setup -n aumix-%{version}
%patch

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --mandir=%{_mandir} \
                      %{_target_cpu}-suse-linux
make
cp src/aumix gtkaumix
rm -f config.cache
make clean
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --mandir=%{_mandir} \
                      %{_target_cpu}-suse-linux\
    --without-gtk
make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir "$RPM_BUILD_ROOT" 
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 -o root -g root gtkaumix $RPM_BUILD_ROOT/usr/bin/
strip -s "$RPM_BUILD_ROOT/usr/bin/aumix"
strip -s "$RPM_BUILD_ROOT/usr/bin/gtkaumix"

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO
/usr/bin/aumix
/usr/bin/xaumix
%attr(755,-,-) /usr/bin/gtkaumix
%doc %{_mandir}/man1/*
/usr/share/aumix
/usr/share/locale/*/*/*aumix.mo

%clean
rm -rf "$RPM_BUILD_ROOT"

%changelog -n aumix
* Wed Jun 06 2001 - nadvornik@suse.cz
- fixed to compile with new autoconf
* Thu Mar 08 2001 - uli@suse.de
- added xf86 to neededforbuild
* Sun Nov 05 2000 - egger@suse.de
- Changed #neededforbuild to long packagenames.
* Fri Oct 06 2000 - nadvornik@suse.cz
- fixed Copyright
* Thu Sep 14 2000 - nadvornik@suse.cz
- update to 2.7
* Wed Apr 26 2000 - nadvornik@suse.cz
- changed Group
* Fri Mar 31 2000 - nadvornik@suse.cz
- update to 2.5
* Tue Mar 21 2000 - nadvornik@suse.cz
- update to version 2.3
* Tue Mar 14 2000 - nadvornik@suse.cz
- upgrade to version 2.1
- added source URL
- added BuildRoot
- separately compiled gtkaumix
* Thu Mar 02 2000 - uli@suse.de
- moved man page to %%{_mandir}
* Thu Oct 14 1999 - freitag@suse.de
- update to version 1.23.1
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jan 28 1998 - rj@suse.de
- new version (1.8)
